<?php

/*

'**************************************************************************************************

' 软件名称: 黑色幻想舞曲管理系统CMS2.0

' 版本编号: hshxsdj 2.0

' 官方网站: http://www..hshxs.com

' 官方论坛：http://bbs.hshxs.com

' 版权所有: 黑色幻想开发团队    噬己翼(QQ:532917920)

' 郑重声明:

'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；

'    2、黑色幻想网络事业部保留此软件的法律追究权利

'**************************************************************************************************

*/

require_once("../../include/conn.php");

require_once("../../include/function.php");

if(!eregi($_SERVER['SERVER_NAME'],$_SERVER['HTTP_REFERER'])){exit();}

$S_ID=SafeRequest("id","get");

if(!IsNul($S_ID)){echo "参数错误！";}

global $db;

$sql="Select S_ID,S_Name,S_Vdata,S_Addpath,S_hits,S_Author,S_ClassID from s_video where S_ID=".$S_ID."";

$row=$db->getrow($sql);

$server=$db->getrow("select * from s_pathip where S_ID=".$row['S_Addpath']."");

if($row){

$S_Url=$row['S_Vdata'];

$S_Name=$row['S_Name'];

$S_ID=$row['S_ID'];

$S_Urla=substr($S_Url,-3);

if($server['S_AddPath']==""){

$server['S_AddPath']=S_SiteDomain;

}else{

$playurl=$server['S_AddPath'].$S_Url;

}

if($S_Urla=="mp4"){

echo '<list>

<m type="" src="'.$playurl.'" lrc="get_lrc.php?title={label}%26rd={rd}" label="'.$S_Name.'" opened="1">

</m>

</list>';

}else{

echo '<list>

<m type="" src="../../include/playurl.php?id='.$S_ID.'&.wma" lrc="" label="'.$S_Name.'" opened="1">

</m>

</list>';

}

}

else{

echo "没有找到相关记录！";

}

?>